# Class default

Abstract class for handling UI elements related to settings.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/settings/settings-audio-ui-handler.ts:7

#####
Index

### Constructors

constructor

### Properties

active
cursor
localStorageKey
mode
navigationIcons
scene
settings
title

### Methods

clear
eraseCursor
getCursor
getTextColor
getUi
processInput
setCursor
setOptionCursor
setScrollCursor
setup
show
updateBindings
updateSettingsScroll

## Constructors

### constructor

- new default(scene, mode?): default

- Creates an instance of SettingsGamepadUiHandler.

  #### Parameters

  - scene: default

    The BattleScene instance.

  - `Optional` mode: Mode

    The UI mode, optional.

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/settings/settings-audio-ui-handler.ts:14

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` localStorageKey

localStorageKey: string

Inherited from default.localStorageKey

- Defined in src/ui/settings/abstract-settings-ui-handler.ts:40

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` navigationIcons

navigationIcons: InputsIcons

Inherited from default.navigationIcons

- Defined in src/ui/settings/abstract-settings-ui-handler.ts:30

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` settings

settings: Setting []

Inherited from default.settings

- Defined in src/ui/settings/abstract-settings-ui-handler.ts:39

### `Protected` title

title: string

Inherited from default.title

- Defined in src/ui/settings/abstract-settings-ui-handler.ts:38

## Methods

### clear

- clear(): void

- Clear the UI elements and state.

  #### Returns void

  Inherited from default.clear

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:372

### eraseCursor

- eraseCursor(): void

- Erase the cursor from the UI.

  #### Returns void

  Inherited from default.eraseCursor

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:385

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- Processes input from a specified button. This method handles navigation through a UI menu, including movement through menu items and handling special actions like cancellation. Each button press may adjust the cursor position or the menu scroll, and plays a sound effect if the action was successful.

  #### Parameters

  - button: Button

    The button pressed by the user.

  #### Returns boolean

  `true` if the action associated with the button was successfully processed, `false` otherwise.

  Inherited from default.processInput

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:204

### setCursor

- setCursor(cursor): boolean

- Set the cursor to the specified position.

  #### Parameters

  - cursor: number

    The cursor position to set.

  #### Returns boolean

  `true` if the cursor was set successfully.

  Inherited from default.setCursor

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:282

### setOptionCursor

- setOptionCursor(settingIndex, cursor, save?): boolean

- Set the option cursor to the specified position.

  #### Parameters

  - settingIndex: number

    The index of the setting.

  - cursor: number

    The cursor position to set.

  - `Optional` save: boolean

    Whether to save the setting to local storage.

  #### Returns boolean

  `true` if the option cursor was set successfully.

  Inherited from default.setOptionCursor

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:304

### setScrollCursor

- setScrollCursor(scrollCursor): boolean

- Set the scroll cursor to the specified position.

  #### Parameters

  - scrollCursor: number

    The scroll cursor position to set.

  #### Returns boolean

  `true` if the scroll cursor was set successfully.

  Inherited from default.setScrollCursor

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:340

### setup

- setup(): void

- Setup UI elements

  #### Returns void

  Inherited from default.setup

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:52

### show

- show(args): boolean

- Show the UI with the provided arguments.

  #### Parameters

  - args: any[]

    Arguments to be passed to the show method.

  #### Returns boolean

  `true` if successful.

  Inherited from default.show

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:177

### updateBindings

- updateBindings(): void

- Update the bindings for the current active device configuration.

  #### Returns void

  Inherited from default.updateBindings

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:150

### updateSettingsScroll

- updateSettingsScroll(): void

- Update the scroll position of the settings UI.

  #### Returns void

  Inherited from default.updateSettingsScroll

  - Defined in src/ui/settings/abstract-settings-ui-handler.ts:357